Name: libcommoncpp2
Version: 1.0.6
Release: alt1

Summary: "Common C++ v2 " - A GNU package for creating portable C++ programs

Group: Development/C++
Url: http://www.gnu.org/software/commonc++/

#Source: ftp://www.voxilla.org/pub/ape/commonc++-%version.tar.gz
Source: ftp://ftp.gnu.org/gnu/commonc++/commoncpp2-%version.tar.gz

#Patch: CommonC++-1.9.6-build.patch
#Patch1: libxml2-patch

Prefix: %prefix
Obsoletes: APE
License: GPL

# Automatically added by buildreq on Fri Nov 16 2001
BuildRequires: gcc3.2-c++  libstdc++3.2-devel  libxml2-devel zlib-devel libxml2-devel doxygen

%description
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets.  Common C++ also offers
individual frameworks generally useful to developing portable C++
applications including a object persistance engine, math libraries,
threading, sockets, etc.  Common C++ is small, and highly portable.
Common C++ will support most Unix operating systems as well
as Win32, in addition to GNU/Linux.

%package devel
Summary: Common C++ devel files
Group: Development/C
Requires: %name = %version-%release
Requires: libstdc++3.2-devel

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name = %version-%release

%package doc
Summary: Documentation for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel
Common C++ devel files

%description devel-static
Common C++ devel static files

%description doc
Documentation for %name

%prep
%setup -q -n commoncpp2-%version
#%patch -p1
#%patch1 -p1
#automake Makefile

%build
%configure
%make prefix=$RPM_BUILD_ROOT

%install
mkdir -p $RPM_BUILD_ROOT/%_mandir/man3
%makeinstall
%makeinstall man
%makeinstall doxy

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_libdir/*.la
%_datadir/aclocal/*
%_includedir/*

%files devel-static
%_libdir/*.a

%files doc
%doc doc
%_mandir/man?/*

%changelog
* Wed Nov 20 2002 Gor <vg@altlinux.ru> 1.0.6-alt1
- new version

* Thu Oct 17 2002 Gor <vg@altlinux.ru> 1.0.5-alt1
- new version

* Tue Sep 3 2002 Gor <vg@altlinux.ru> 1.0.1-alt0.1
- new version
- built with & require g++3.2

* Mon Aug 27 2002 Gor <vg@altlinux.ru> 1.0.0-alt0.2
- .spec cleanups

* Mon Aug 26 2002 Gor <vg@altlinux.ru> 1.0.0-alt0.1
- New version

* Tue Jun 11 2002 Gor <gor@mail.od.ua> 0.99.4-alt0.2
- initial build of V2
- manpages moved to doc package

